Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# AttributesImpl.h File Reference

`#include "ACEXML/common/ACEXML_Export.h"`
`#include "ACEXML/common/Attributes.h"`
`#include "ace/Containers_T.h"`
`#include "ACEXML/common/AttributesImpl.i"`

Include dependency graph for AttributesImpl.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACEXML_Attribute
| ACEXML_Attribute defines the data structure of an attribute. More...
class | ACEXML_AttributesImpl
| ACEXML_AttributesImpl provides the default implementation of interface ACEXML_Attributes. More...
## Defines
#define | ACEXML_AttributesImpl_Default_Size 20
## Typedefs
typedef ACE_Array< ACEXML_Attribute > | ACEXML_Attribute_Array

## Detailed Description

Id
  AttributesImpl.h,v 1.8 2004/10/21 17:33:56 elliott_c Exp

Author:
  Nanbor Wang <nanbor@cs.wustl.edu>

## Define Documentation

#define ACEXML_AttributesImpl_Default_Size 20

## Typedef Documentation

ACE_Array< ACEXML_Attribute > ACEXML_Attribute_Array